summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJannis Pohlmann <jannis@xfce.org>2009-10-06 14:39:02 +0200
committerJannis Pohlmann <jannis@xfce.org>2009-10-06 14:39:02 +0200
commitd1b62a10f3d8447639430f276e04667494b35c3b (patch)
treebc5c860df959d2a9c72bc2e7ccf8e3bf003f7502 /autogen.sh
parent292fd407ae55590a1d4ec46b0b936c80c5a03384 (diff)
downloadtumbler-d1b62a10f3d8447639430f276e04667494b35c3b.tar.gz
Rework build files. Fix bugs introduced in previous commits.
The build checks for plugins were moved into acinclude.m4. autogen.sh now passes command line parameters to its delegates autogen-xfce.sh and autogen-gnome.sh. Removed the ELF visibility stuff from configure.ac and so on.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh56
1 files changed, 44 insertions, 12 deletions
diff --git a/autogen.sh b/autogen.sh
index 51551ce..3e3c4c3 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,19 +1,51 @@
-which xdt-autogen
+#!/bin/sh
+#
+# vi:set et ai sw=2 sts=2 ts=2: */
+# -
+# Copyright (c) 2009 Jannis Pohlmann <jannis@xfce.org>
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+(type xdt-autogen) >/dev/null 2>&1 || {
+ cat >&2 <<EOF
+autogen.sh: You don't seem to have the Xfce development tools installed on
+ your system, which are required to build this software.
+ Please install the xfce4-dev-tools package first, it is available
+ from http://www.xfce.org/.
+EOF
+ exit 1
+}
-if test x$? = x"0"; then
- echo "Picked XFCE development environment"
- . ./autogen-xfce.sh
- exit 0
+which xdt-autogen
+if test x"$?" = x"0"; then
+ echo "Building using the Xfce development environment"
+ ./autogen-xfce.sh $@
+ exit $?
fi
which gnome-autogen.sh
-
-if test x$? = x"0"; then
- echo "Picked GNOME development environment"
- . ./autogen-gnome.sh
- exit 0
+if test x"$?" = x"0"; then
+ echo "Building using the GNOME development environment"
+ ./autogen.gnome.sh $@
+ exit $?
fi
-echo "You need to install either gnome-common or xfce4-dev-tools"
+cat >&2 <<EOF
+You need to have either the Xfce or the GNOME development enviroment
+installed. Check for xfce4-dev-tools or gnome-autogen.sh in your
+package manager.
+EOF
exit 1
-